Sukhavita Clinic - Bug #3010

ESS mobile 10S untuk attandance end time tidak sesuai dengan yang di input
08/21/2024 05:32 PM - Regina Tasya

Status:
Priority:
Assignee:
Category:

Target version:

Closed
Normal

Regina Tasya

Start date:
Due date:
% Done:

Estimated time:

Spent time:

08/21/2024

0%
0.00 hour
1.00 hour

Description
Dear kak shofwan,

untuk saat ini jika req attandance di mobile untuk End time jika diisi 17.00 yang masuk ke runbizdata 05.00 dan di md nya juga jadi

05.00
Request Mo: 180 0On Behalf: 00000002
Requester ID: 00000002 Create Date: 2024082172747
Requester Name: Jaja Change Date: 2024082172747
Subject: AttendanceEasy
Description: Testing mobile ios
backdate

Body

Request Form

Start Date: 02/08/2024 Notes From Mohile

End Date: 03/08/2024

Start Time: 07:00

End Time: 05:00

AttendanceType: Normal

Comment

reqid 180

terima kasih

History

#1 - 08/23/2024 05:35 PM - shofwan shiddiq
- File clipboard-202408231735-xzh30.png added

json
{"worlflow_id":null,"status":"Submit","workflow_name":"AttendanceEasy","absence_type":null,"quota_from":null,"quota_to":null,"delegate_to":null,"dura
tion":null,"duration_ovt":"","remaining_quota":null,"description":"Submit
Attendance","action":"200","comment":null,"date":null,"date_from":"2024-08-23","date_to":"2024-08-24","time_from":"00:00:00","time_t0":"17:00:00","n
otes":"","reason":"","request_no":"0","office":"","latitude":"","longitude":"","day_type":null,"attendance_type":"5000"}

Dear Azid, saat submit ke API time to nya bener 17:00, tapi pas masuk ke RUNBIZ malah ke convert jadi 05:00, harusnya PM malah jadi AM
4% -
B Results g Messages

ReglD Sequence BizProcesslD TableReference FieldlD DataSequence Value
1181 i1 AtendanceEasy ATTMOBILEEASY AttendanceType 1 5000
2 1911 AttendanceEasy ATTMOBILEEASY EndDate 1 20240824
3 191 1 AttendanceEasy ATTMOBILEEASY EndTime 1 0500
4 1, 1 AtendanceEasy ATTMOBILEEASY Notes 1 From Mobile
5 191 1 AttendanceEasy ATTMOBILEEASY —StartDate 1 20240823
6 191 1 AttendanceEasy ATTMOBILEEASY StartTime 1 1200

https://api-mobile-easy.minovais.com/api/wf/requestWithoutAttachment

#2 - 08/23/2024 05:57 PM - shofwan shiddiq
- Assignee changed from shofwan shiddiq to M Azid Wahyudi

#3 - 08/27/2024 11:33 AM - M Azid Wahyudi
- Status changed from Assigned to QA Test
- Assignee changed from M Azid Wahyudi to Regina Tasya

Dear tasya , udah bisa di test ya

Package :
MinovalS.Mobile.WorkFlow.dll //formattime

makasih

#4 - 08/27/2024 04:46 PM - Regina Tasya
- File clipboard-202408271646-9xmzw.png added

sudah di testing dan berhasil
terima kasih
https://api-mobile-easy.minovais.com/api/wf/requestWithoutAttachment

#5 - 08/27/2024 04:46 PM - Regina Tasya
- Status changed from QA Test to Closed
